String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function flFiltrar(){
	var e=gv("CboEmp");
	var c=gv("CboCom");
	var s=gv("TxtSer");
	var n=gv("TxtNum");
	if(jL(e)==0){
		alert("Seleccione una empresa");
		return jF("CboEmp");
	}
	if(jL(c)==0){
		alert("Seleccione un comprobante");
		return jF("CboCom");
	}
	if(jL(s)==0){
		alert("Ingrese una serie");
		return jF("TxtSer");
	}
	if(jL(n)==0){
		alert("Ingrese un numero");
		return jF("TxtNum");
	}
	SM("F");
}
//**************************************************************************
function fCancelar(){
	document.getElementById("DivNUM").innerHTML="NUMERO DE COBRO :";
	document.getElementById("CboCom").value="";
	document.getElementById("TxtSer").value="";
	document.getElementById("TxtNum").value="";	
	document.getElementById("TxtAcu").value="";	
	document.getElementById("TxtTot").value="";	
	document.getElementById("TxtSal").value="";	
	document.getElementById("TxtObs").value="";	
	document.getElementById("TxtTve").value="";
	//
	document.getElementById("CmdG").disabled =false;
	document.getElementById("CmdA").disabled =true;
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
	document.getElementById("TxtFec").focus();
}
function CalSaldo(){
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var SAL=TOT -( ACU + Tot);
	SAL=SAL.toFixed(2);
	document.getElementById("TxtSal").value=SAL;
}
function snNum(O,e,Sig){	
	var k;
	var v;
	v=trimm(O.value);
	k=(document.all) ? e.keyCode :e.which;
	if((k>=48 && k<=57) || k==8 || (k>=96 && k<=105) || 
		k==37 || k==39 || k==46 || k==36 || k==35 || k==9){
		return true;
	}else{
		if(k==13){
			document.getElementById(Sig).focus();
			return true;
		}else{
			return false;
		}
	}
}
function fGetSaldo(){
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	ajax=CreateAJAX();
	var Z="";
	Z="aj_cob.php?C=GS&P1="+Com+"&P2="+Ser+"&P3="+Num;
	ajax.open("GET",Z,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;	
	return StrHtml.trim();
}
function fGuardar(){
	var Kon=gv("TxtKon")
	var Fec=gv("TxtFec");
	var Com=gv("CboCom");
	var Num=gv("TxtNum");
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var Sal=jVal(gv("TxtSal"));	

	if(Fec.trim().length==0){
		alert("Ingrese la fecha, segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, verifique el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(jLen(Num)==0){
		alert("Ingrese el numero de comprobante y presione enter");
		jFocus("TxtNum");return;
	}
	if(Tot<=0){
		alert("El Tot. Cob. debe ser mayor a cero");
		jFocus("TxtTot");return;
	}
	if(Sal<0){
		alert("El saldo no puede ser menor a cero");
		jFocus("TxtTot");return;
	}
	if(jLen(Kon)>0){
		var url="aj.php?Cmd=KON&P1="+Kon;
		var R=AJ(url);
		if(R=="NR"){
			alert("Numero de contrato no registrado");
			jFocus("TxtKon");
			return;
		}
		if(Tot>jVal(R)){
			alert("El total a cobrar el mayor al saldo disponible del contrato");
			jFocuz("TxtTot");
			return;
		}
	}
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}

//**************************************************************************
